package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ExcelNote;
import ${basePackage}.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSheet;
import ${basePackage}.frame.base.BaseEntity;

/**
 * LOG_ERR - 错误日志
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-07
 */
@ExcelSheet("错误日志")
public class LogErr extends BaseEntity {

    /**
     * LOG_ERR_TYPE - 错误类型
     */
    @ExcelProperty("错误类型")
    @ExcelNote("")
    private String logErrType;
    /**
     * LOG_TITLE - 日志标题
     */
    @ExcelProperty("日志标题")
    @ExcelNote("")
    private String logTitle;
    /**
     * LOG_NOTE - 日志内容
     */
    @ExcelProperty("日志内容")
    @ExcelNote("")
    private String logNote;
    /**
     * LOG_ERR_RESULT - 处理结果
     */
    @ExcelProperty("处理结果")
    @ExcelNote("")
    private String logErrResult;
    /**
     * LOG_ATTR1 - 属性1
     */
    @ExcelProperty("属性1")
    @ExcelNote("")
    private String logAttr1;
    /**
     * LOG_ATTR2 - 属性2
     */
    @ExcelProperty("属性2")
    @ExcelNote("")
    private String logAttr2;
    /**
     * LOG_ATTR3 - 属性3
     */
    @ExcelProperty("属性3")
    @ExcelNote("")
    private String logAttr3;

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogNote() {
        return this.logNote;
    }

    public void setLogNote(String logNote) {
        this.logNote = logNote;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public String getLogAttr1() {
        return this.logAttr1;
    }

    public void setLogAttr1(String logAttr1) {
        this.logAttr1 = logAttr1;
    }

    public String getLogAttr2() {
        return this.logAttr2;
    }

    public void setLogAttr2(String logAttr2) {
        this.logAttr2 = logAttr2;
    }

    public String getLogAttr3() {
        return this.logAttr3;
    }

    public void setLogAttr3(String logAttr3) {
        this.logAttr3 = logAttr3;
    }
}